#ifndef __DATAPOOL_CONFIG_H__
#define __DATAPOOL_CONFIG_H__


#include "datapoolConfigEntry.h"

#define NB_PARAMETERS (35)

typedef enum parameters {
    E_PARAMID_MAIN_MODE = 0,
    E_PARAMID_SUB_MODE = 1,
    E_PARAMID_MON2 = 0x02,
    E_PARAMID_MON4 = 0x04,
    E_PARAMID_MON5 = 0x05,
    E_PARAMID_TEST1 = 0x11,
    E_PARAMID_TEST2 = 0x22,
    /* Parameters for GNC */
    E_PARAMID_DISTANCE = 0xA0,
    E_PARAMID_GNC_MODE = 0xA1,
    E_PARAMID_CMD_MOVE_FLAG = 0xA2,
    E_PARAMID_CMD_MOVE_SPEED = 0xA3,
    E_PARAMID_CMD_MOVE_DIR = 0xA4,
    E_PARAMID_CMD_MOVE_TURN = 0xA5,
    /* Parameters for Manipulator */
    E_PARAMID_CMD_ARM_FLAG = 0xA6,
    E_PARAMID_CMD_ARM_ANGLE = 0xA7,
    E_PARAMID_CMD_HAND_FLAG = 0xA8,
    E_PARAMID_CMD_HAND_ANGLE = 0xA9,
    E_PARAMID_CMD_WRIST_FLAG = 0xAA,
    E_PARAMID_CMD_WRIST_ANGLE = 0xAB,
    E_PARAMID_CMD_CLAW_FLAG = 0xAC,
    E_PARAMID_CMD_CLAW_ANGLE = 0xAD,
    /* Parameters for Bus/GNSR Failure Scenario */
    E_PARAMID_FDIR_MODE = 0xB0,
    E_PARAMID_GNSR1_HEALTH = 0xB1,
    E_PARAMID_GNSR1_PWR = 0xB2,
    E_PARAMID_GNSR1_TM = 0xB3,
    E_PARAMID_GNSR2_HEALTH = 0xB4,
    E_PARAMID_GNSR2_PWR = 0xB5,
    E_PARAMID_GNSR2_TM = 0xB6,
    E_PARAMID_BUS1_ERRCNT = 0xB7,
    E_PARAMID_BUS2_ERRCNT = 0xB8,
    E_PARAMID_BUS1_RETRY = 0xB9,
    E_PARAMID_BUS2_RETRY = 0xBA,
    E_PARAMID_OBC_RECONF = 0xBB,
    /* FDIR Cycle counter */
    E_PARAMID_FDIR_AGENDA_ENABLED = 0xFE,
    E_PARAMID_FDIR_CYCLE_COUNT = 0xFF,
}ParameterIds;

extern DatapoolConfigEntry datapoolConfig[NB_PARAMETERS];




#endif
